if not exists (select top 1 1 from sys.objects where name = 'AppUser' and type = 'U')
begin
	create table AppUser
	(
		UserId int identity(0, 1) constraint PK_AppUser primary key,
		UserName varchar(100) not null constraint UQ_AppUser_UserName unique,
		[Password] varchar(250) not null,
		FirstName varchar(100),
		LastName varchar(100),
		Email varchar(100),
		ProfilePictureUrl varchar(200),
		SecurityStamp varchar(200) not null constraint UQ_AppUser_SecurityStamp unique,
		StatusId int not null constraint FK_AppUser_UserStatus references UserStatus(StatusId),
		CreationDate datetime not null constraint DF_AppUser_CreationDate default getdate(),
		FailedLoginAttempts int,
		LastLoginDate datetime,
		PasswordChangeDate datetime
	)
end